%define _default_patch_fuzz 2

Name:           vboot-utils
Version:        20180531
Release:        3
Summary:        Chromium OS verified boot utility
License:        BSD
URL:            https://chromium.googlesource.com/chromiumos/platform/vboot_reference
ExclusiveArch:  aarch64 x86_64
# https://chromium.googlesource.com/chromiumos/platform/vboot_reference/+archive/2cc35b0f31fe1cf69ce6781e7d502f07c64c93c9.tar.gz
Source0:        %{name}-2cc35b0.tar.xz
Patch0001:      vboot-utils-00-disable-static-linking.patch
Patch0002:      vboot-utils-cflags.patch

BuildRequires:  gcc-c++ openssl-devel trousers-devel libyaml-devel xz-devel libuuid-devel python2

%description
Verify boot is a collection of utilities for chromebook computers. Package and sign the kernel and
manage gpt partitions.

%prep
%autosetup -n vboot-utils-2cc35b0 -p1

%build
%ifarch aarch64
%global ARCH arm
%endif

%ifarch x86_64
%global ARCH x86_64
%endif

%make_build V=1 ARCH=%{ARCH} COMMON_FLAGS="$RPM_OPT_FLAGS"

%install
%make_install V=1 DESTDIR=%{buildroot}/usr ARCH=%{ARCH} COMMON_FLAGS="$RPM_OPT_FLAGS"

%check
make runtests || true

%files
%doc README LICENSE
%{_bindir}/*
/usr/default/
/usr/lib/pkgconfig/

%changelog
* Wed Jan 8 2020 fengbing <fengbing7@huawei.com> - 20180531-3
- Package init
